Request
GET /v1/hens
Authenticate with a bearer token. Create one with POST /v1/tokens or cluck login.
Parameters
| Name | Type | Description |
|---|---|---|
coop_id | string | Filter by coop |
status | string | healthy, degraded, or molting |
Example
curl -X GET https://api.pollosoft.example/v1/hens?coop_id=example&status=example \
-H "Authorization: Bearer $COOP_TOKEN"
Response
A successful call returns 200 OK with JSON like this:
{
"data": [
{
"id": "hen_71b0",
"coop_id": "coop_8f2a",
"status": "healthy",
"cpu": 0.31,
"memory_mb": 412
}
],
"has_more": false
}
Errors
HEN-2001(401): Not logged inHEN-2004(403): Insufficient pecking orderHEN-5001(429): Too many pecks
IdempotencyThis endpoint is safe to retry. Reads do not lay eggs.